Validate API Key
curl --request POST \
--url https://webhook.cocoonmail.com/webhook/api_key/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"data": {
"shop_id": "<string>",
"shop_name": "<string>"
}
}
'import requests
url = "https://webhook.cocoonmail.com/webhook/api_key/validate"
payload = {
"type": "<string>",
"data": {
"shop_id": "<string>",
"shop_name": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>', data: {shop_id: '<string>', shop_name: '<string>'}})
};
fetch('https://webhook.cocoonmail.com/webhook/api_key/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/api_key/validate");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"type\": \"<string>\",\n \"data\": {\n \"shop_id\": \"<string>\",\n \"shop_name\": \"<string>\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/api_key/validate");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"type\": \"<string>\",\n \"data\": {\n \"shop_id\": \"<string>\",\n \"shop_name\": \"<string>\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);{
"success": true,
"workspace_id": "xyz12345ab",
"workspace_name": "workspace name"
}
{
"message": "Bad request"
}
{
"detail": "You do not have permission to perform this action."
}
API key
Validate API Key
This endpoint verifies if the provided API Key is valid.
POST
/
webhook
/
api_key
/
validate
Validate API Key
Validate API Key
Use this endpoint to validate your API KeyResponse fields
| Property | Description |
|---|---|
| 400 | Bad request |
| 401 | Request authentication |
| 403 | Too many bad requests. Temparory block |
| 406 | Missing accept header. For example : Accept: application/json |
| 429 | Too many requests/ Rate limit exceeded |
| 500 | Internal server error |
{
"success": true,
"workspace_id": "xyz12345ab",
"workspace_name": "workspace name"
}
{
"message": "Bad request"
}
{
"detail": "You do not have permission to perform this action."
}
Authorizations
Use your API key with the 'Bearer ' prefix
Body
application/json
⌘I